org.apache.calcite.avatica

## Class MetaImpl.FetchIterable

- java.lang.Object
- - org.apache.calcite.avatica.MetaImpl.FetchIterable

All Implemented Interfaces:
  Iterable<Object>

Enclosing class:
  MetaImpl

    private class MetaImpl.FetchIterable
    extends Object
    implements Iterable<Object>

Iterable that yields an iterator over rows coming from a sequence of `Meta.Frame`s.

### Field Summary

Fields
`private Meta.Frame` `firstFrame`
`private List<TypedValue>` `parameterValues`
`private QueryState` `state`
`private AvaticaStatement` `stmt`

### Constructor Summary

Constructors
Constructor and Description
`MetaImpl.FetchIterable(AvaticaStatement stmt, QueryState state, Meta.Frame firstFrame, List<TypedValue> parameterValues)`

### Method Summary

Methods
`Iterator<Object>` `iterator()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### stmt

    private final AvaticaStatement stmt

#### state

    private final QueryState state

#### firstFrame

    private final Meta.Frame firstFrame

#### parameterValues

    private final List<TypedValue> parameterValues

### Constructor Detail

#### MetaImpl.FetchIterable

    public MetaImpl.FetchIterable(AvaticaStatement stmt,
                          QueryState state,
                          Meta.Frame firstFrame,
                          List<TypedValue> parameterValues)

### Method Detail

#### iterator

    public Iterator<Object> iterator()

Specified by:
  `iterator` in interface `Iterable<Object>`